Name:           libdc1394
Version:        1.2.1
Release:        2%{?dist}
Summary:        High level API for IEEE 1394 based cameras

Group:          System Environment/Base
License:        LGPL
URL:            http://sourceforge.net/projects/libdc1394/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch1:         libdc1394-1.1.0-clktck.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libraw1394-devel, libX11-devel, libXv-devel, libXext-devel, libSM-devel


%description
libdc1394 is a library that is intended to provide a high level
programming interface for application developers who wish to control
IEEE 1394 based cameras that conform to the 1394-based Digital Camera
Specification (found at http://www.1394ta.org/).

%package        libs
Summary:        Library for %{name}
Group:          System Environment/Libraries
Requires:       %{name} = %{version}-%{release}
Provides:       libdc1394_control13 = %{version}-%{release}
Obsoletes:      libdc1394_control13 <= %{version}

%description    libs
libdc1394 is a library that is intended to provide a high level
programming interface for application developers who wish to control
IEEE 1394 based cameras that conform to the 1394-based Digital Camera
Specification (found at http://www.1394ta.org/).

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       %{name}-libs = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        examples
Summary:        Examples files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       %{name}-libs = %{version}-%{release}

%description    examples
The %{name}-examples package contains examples binaries files for
applications that use %{name}.


%prep
%setup -q
%patch1 -p1 -b .clktck
sed -i -e 's|/usr/X11R6/lib|%{_x_libraries}|' examples/Makefile*

%build
%configure --disable-static
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}

cp -r examples examples.%{version}-%{_arch}
tar cjf examples.%{version}-%{_arch}.tar.bz2 \
  -X examples.%{version}-%{_arch}/*.o examples.%{version}-%{_arch}/


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

mkdir -p $RPM_BUILD_ROOT%{_bindir}
for i in dc1394_multiview grab_color_image grab_gray_image grab_partial_image; do
install -pm 0755 examples/.libs/$i $RPM_BUILD_ROOT%{_bindir}
done

mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
install -pm 0644 examples.%{version}-%{_arch}.tar.bz2 $RPM_BUILD_ROOT%{_datadir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT


%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/dc1394_vloopback

%files libs
%defattr(-,root,root,-)
%doc
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc
%{_includedir}/*
%{_libdir}/*.so

%files examples
%defattr(-,root,root,-)
%doc 
%exclude %{_bindir}/dc1394_vloopback
%{_bindir}/*
%{_datadir}/%{name}/examples.%{version}-%{_arch}.tar.bz2


%changelog
* Mon May  7 2007 kwizart < kwizart at gmail.com > - 1.2.1-2
- Add BR libSM-devel
- Provides compressed examples archive and examples binaries.

* Sat May  5 2007 kwizart < kwizart at gmail.com > - 1.2.1-1
- Update to 1.2.1

* Sun May 15 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.1.0.

* Sat Oct  2 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.0.

* Mon Apr 12 2004 Axel Thimm <Axel.Thimm@ATrpms.net> 
- Initial build.
